%define major   2
%define libname %mklibname %name %major
%define develname %mklibname %name -d

Name:		flatzebra
Version:	0.1.4
Release:	%mkrel 1
Summary:	A Generic Game Engine library for 2D double-buffering animation
Group:		System/Libraries
License:	GPLv2
URL:		http://sarrazip.com/dev/burgerspace.html
Source:		http://sarrazip.com/dev/%{name}-%{version}.tar.gz
BuildRequires:	SDL1.2-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer1.2-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib1-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Generic Game Engine library suitable for BurgerSpace, Afternoon Stalker
and Cosmosmash.

%package -n %{libname}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes:  %mklibname %name 0.1_2

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: flatzebra-devel = %{version}-%{release}
Obsoletes: %mklibname %name -d 0.1_2

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall

rm -rf %{buildroot}/%_docdir

%clean 
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING README INSTALL NEWS
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/%name-0.1
%{_includedir}/%name-0.1/%name/*.h
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Apr 22 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.1.4-1mdv2010.1
+ Revision: 537779
- update to 0.1.4

* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.3-2mdv2010.0
+ Revision: 399766
- obsoletes previous library package with wrong major

* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.3-1mdv2010.0
+ Revision: 399695
- new version
- fix major number
- new devel policy

* Fri May 15 2009 Samuel Verschelde <stormi@mandriva.org> 0.1.2-1mdv2010.0
+ Revision: 376146
- fix buildrequires
- fix licence
- fix URL
- new version 0.1.2

  + Michael Scherer <misc@mandriva.org>
    - adapt gentoo patch to be able to properly regenerate autotools script, by
      hardcoding the needed library, and by removing unknows macros TRY_LINK*
    - regenerate autotools script so compilation do not fail with new libtool

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 27 2007 Funda Wang <fwang@mandriva.org> 0.1.1-3mdv2008.0
+ Revision: 31751
- build against directfb 1.0
- Import flatzebra



* Thu May 05 2005 Marcel Pol <mpol@mandriva.org> 0.1.1-1mdk
- 0.1.1
- new SONAME
- move pkgconfig file to devel package

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.1.0-5mdk
- rebuild

* Sat Sep 06 2003 Marcel Pol <mpol@gmx.net> 0.1.0-4mdk
- buildrequires
- devel package provides flatzebra-devel

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 0.1.0-3mdk
- rebuild for new rpm provides
- own dir
- formatting

* Thu Jun 12 2003 Marcel Pol <mpol@gmx.net> 0.1.0-2mdk
- buildrequires

* Tue Jun 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-1mdk
- new
